### Property

# Ide CloneSurface:uri

#### Declaration

    property uri: utf8 [ read, write ]

#### Description

The “uri” property is the URI of the version control repository to be cloned. Usually, this is something like

“https://gitlab.gnome.org/GNOME/gnome-builder.git”

Type: | `gchar*`
Available since: | 3.32

Setter method | `ide_clone_surface_set_uri()`
Getter method | `ide_clone_surface_get_uri()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no